<?php
	$seiten_id = 'messtechnik';
	$version = '$Id: measurement.php 287 2012-08-16 09:02:07Z sven $';
	$title = 'Measurement and Experimental technology';
	
	require "../../lib/technikum29.php";
?>
    <h2>Measurement and Experimental technology</h2>

    <p>Measurement and Experimental technology can link Communication and Computer
       Technology. Measurement technology has a long history and there have been nice and
       remarkable devices.</p>
<!--
    <p>Professionals can see many beautiful measurement devices, from the complex mirror galvanometer (a piece from the German Kaiserzeit) to the scintillation measuring station with counting devices from several epoches (since 1956), used for measurement of radioactivity.</p>
-->

    <div class="box left clear-after">
         <img src="/shared/photos/kommunikationstechnik/experimente.jpg" alt="Some of the experimental physics devices" width="396" height="451" class="nomargin-bottom" />
         <p class="bildtext">
           This picture shows some devices from the "experimental physics" area. You
           will probably note the use of "natural" materials (wood, glass, metal) and the
           well-designed very simplified interface that makes comprehension simple.
           <br/>We will go into detail for some of the devices shown on the left.
        
    </div>

	<h3>Galvanometer</h3> <!-- sic -->
	
      <div class="box left clear-after">
            <img src="/shared/photos/kommunikationstechnik/universalmessgeraet.jpg" alt="Fotografie des Universalmegertes" width="396" height="325" />
            <p class="bildtext">
               This is a remarkably functional, big and beautiful all-purpose measurement device made by Siemens &amp; Halske (about 1905). At that time even simple objects of utility were made with lovely details. This device was used as an auxiliary device for morsing purposes in the national administration of the German Empire.
            </p>
      </div>
      
      <div class="box left clear-after">
        <img src="/shared/photos/kommunikationstechnik/h+b.galvanometer.jpg" alt="Foto eines Galvometers von Hartmann  Braun" width="400" height="351" />
        <p class="bildtext">In 1891, this beautiful galvanometer was purchased from Hartmann & Braun (Frankfurt/Main, Germany) and offered in catalogs. The principle is simple: in the underlying coil (green) flows the current to be measured, which builds a magnetic field. In this field sits a very sensitive compass needle which is hung up on a thin wire. The longer and thinner the torsion wire, the more sensitive the device.<br>
Measuring was then an art that had to be mastered. Particularly disturbs the Earth's magnetic field, so that a correct positioning were only able by experts.</p>
    </div>

      <div class="box left clear-after">
           <img src="/shared/photos/kommunikationstechnik/h&amp;b-galvanometer.jpg" alt="Photography of a mirror galvanometer" width="396" height="436" />
           <div class="bildtext">
             <p>Until the invention of measurement amplifiers, measuring very small voltages
             and currents was a big problem. To do that job, moving coil devices had to be
             very sensitive. This was realized with a moving coil that was mounted on a
             torsion wire. The reflecting mirror at the lower end of the wire was spotted by
             a light ray, so the whole composition acts like a very long "light needle".
             By this way very long needle lengths (multiple meters) could be simulated.
             Such a galvanometer must be set up absolutely horizontally and vibration-free.
             <br/>The <b>Mirror Galvanometer</b> by Hartmann&nbsp;&amp;&nbsp;Braun is
             a simple and functional demonstration model from the 1920s.</p>
           </div>
    </div>
	
	
	<h3>Radio engineering</h3>

    <div class="box left clear-after">
          <img src="/shared/photos/kommunikationstechnik/neva-funktechnik.jpg" alt="Photography of the Neva Experimental system" width="396" height="280" />
          <p class="bildtext">With the <b>NEVA radio technology system</b>, students could
            do challenging experiments like measuring the wave lengths in the VHF area
            with the Lecher lines. 
          </p>
    </div>
	
	<h3>Cathode Ray Tubes</h3>

    <div class="box left clear-after">
        <img src="/shared/photos/kommunikationstechnik/loewe-kathodenstrahl.jpg" alt="Photography of the cathode ray tube" width="396" height="189" />
        <p class="bildtext">
            Before television and oscilloscopes, the <b>Cathode Ray Tube</b> was a sensation, especially in schools. This was one of the very first experiments where students could see that electrons have almost no inertia, so they can be deflected easily in the presence of an electric field. This tube (with power supply on the left) from the German company <b>Loewe</b> is an historical piece from the 1930s. It measures about 50 cm! 
        </p>
   </div>


    <!-- paragraph: AEG Oszi. Translated/Started at 28.07.08-->
    <div class="box left clear-after">
          <img src="/shared/photos/kommunikationstechnik/aeg-oszi.jpg" alt="Photography of an AEG oscilloscope" width="425" height="419" />
		  <p class="bildtext">
              After the currency reform in West Germany, the production
              of mesurement devices got going again. This <b>AEG</b>
              oscilloscope was built in 1949. It seems to be an exact
              replica from an AEG device of the late thirties. It is
              equipped with steel tubes that were put on the German
              market at 1938. Neither the time base of the horizontal
              deflection nor the amplitude of the vertical deflection
              are calibrated by the manufacturer. To measure
              absolutely with this device, you always need reference sizes.
          </p>
      </div>

      <div class="box left clear-after">
          <img src="/shared/photos/kommunikationstechnik/phywe-oszi.jpg" alt="Photography of a Phywe demonstration oscilloscope" width="396" height="269" />
          <p class="bildtext">
             The "Physikalischen Werksttten" (<i>phsyical facilities</i>), <b>Phywe</b>,
             built this small oscilloscope for demonstration purposes. It can be
             used to show the electromagnetic interaction of an electron beam in E/B fields.
             Since (CRT driven) television was not yet a mass medium, these experiments
             were state-of-art in those days.
			 
          </p>
       </div>
	   


   <h3 id="t555">TEKTRONIX Oszilloscopes</h3>
	<div class="box left clear-after">
        <img src="/shared/photos/kommunikationstechnik/tektronix555.jpg" alt="Tektronix 555" width="396" height="448" />
		<p class="bildtext">
		In the heyday of pulse technology as used in radar and computing the development of high performance oscilloscopes was necessary. This is where an Oregan based company named Tektronix Inc. made a name for themselves. Their products are examples of high precision measurement equipment showing great workmanship and extraordinary performance. In addition to that Tektronix oscilloscopes
came with service manuals that are a joy to read and a source of knowledge in electronic circuit design. Over the years Tektronix oscilloscopes became the epitome of high quality commercial oscilloscopes nearly unrivaled by other companies.<br>
On the left hand side the truly gigantic Tektronix Type 555 oscilloscope is shown. The oscilloscope sitting next to it is a Type 564 which is also quite big but does not compare with the 555. 
The Type 555 was first sold in 1963 and is a true dual-beam oscilloscope with two individual time bases. This makes it superior compared with traditional dual-channel oscilloscopes with only a single time base and an electronic chopper for the dual-channel display. <br>
The 555 features a separate power supply which is sitting on the bottom of the oscilloscope cart (a scope mobile). All in all the 555 contains about 100 tubes - an extraordinary amount for such a device. As a result the power requirement of the 555 is quite high with about 1 kW.<br>
The maximum signal frequency that can be displayed with the 555 is 33 MHz - an outstanding value for the time. Oscilloscopes like the 555 were normally carried from one place to another on a cart (it is next to impossible for a single person to lift such a device). Therefore the scope mobile often had storage space for additional modules that were not regularly used.<br>
The 555 on display is in mint condition---a rare circumstance since most  oscilloscopes from this time show signs of their heavy duty use.<a class="popup" href="/shared/photos/kommunikationstechnik/555.jpg">  <b>A high resolution picture of the 555</b></a> can be seen here.<br>

The Type 564 oscilloscope on the scope mobile on the right uses a bistable storage tube---a technology that was not mature at this time. These tubes were characterized by a short lifetime. Most notably the brightness of the display decreased rapidly with time and the maximum beam velocity for
storing images was about 500 cm/ms.<br>
Below the 564 is a Tektronix Type 453 - a small oscilloscope which is quite difficult to service and repair due to its small physical size. By the way: Modern Tektronix oscilloscopes offer bandwidths up to 80GHz!
		</p>
		</div>

	<h3>Digital experience system</h3>
	
    <div class="box left clear-after">
        <img src="/shared/photos/kommunikationstechnik/digitalexperimentiersystem.jpg" alt="photography of an electronic experimental system for use in schools" width="396" height="509" />
        <p class="bildtext">This big white board is an experience system from
          <b>Leybold</b> from the early 1970s. At that time, the subject
          "digital electronics" was taught in schools. Students could set up
          logic systems like binary counters, full adders, flip-flops, multiplexers,
          etc. This was quite fascinating for students at that time. Today, in ordinary
          schools, there is no more time for electronics in the curriculum.</p>
    </div>
		  
	<h3>The world of electronical calculating</h3> 

    <div class="box left clear-after">
       <img src="/shared/photos/kommunikationstechnik/frequenzzaehler.jpg" alt="Photography of different frequency- and event counters" width="420" height="582" />
       <p class="bildtext"><b>Calculating requires counting</b>
         <br/>Last but not least, we show a composition of (frequency) counters from
         different epoches. There are, among others, devices equipped with tubes (57
         electron tubes) or discrete transistor logic (mostly germanium).
         The different counting tubes (e.g. E1T or GC10B) and the very different
         display types are quite impressive.</p>
    </div>
