<?php
	$seiten_id = 'ic-technik';
	$version = '$Id: ic-technology.php 287 2012-08-16 09:02:07Z sven $';
	$title = 'Programmable third-generation calculators with early IC-technology';
	
	require "../../lib/technikum29.php";
?>
    <h2>Programmable third-generation calculators with early IC-technology</h2>

      <p>With the development of IC-technology 1967/68 brought along with the development of
      high-performance calculators. We have also arrayed what was among other things the
	  world's most expensive desk calculator: the WANG 700. This device outshined everything
	  else on the market (costing with very extensive
      peripherals well over 70000&nbsp;DM or 35000&nbsp;Euro).
      Furthermore the first calculator with an alphanumeric display (HP 9820, 1971) and the
      world's first BASIC-programmable desk calculator (HP 9830, 1972) are installed.
      With these systems you can marvellously plot function graphs together with labels.
      Three years before something like that was unimaginable!
      In 1971 the first scientifically programmable "pocket calculators" with the size of
      a matchbox came on the market, too.
      See also: <a class="go" href="/en/details1.shtm" title="Details 1">Tabular list of desk calculators</a></p>

      <!-- altes Photo, alter TExt: <div class="box center">
          <img src="/shared/photos/rechnertechnik/wang700.jpg" alt="WANG 700" />
          <p class="bildtext">In this photo you see the extract from the <b>WANG 700</b> installation.
          The core is a calculator with two-line nixie-tube display, 2&nbsp;kB core memory and
          integrated cassette tape for program recording. Right in the front is the
          Mark Sense card reader, the manual card reader behind.
          The programming, a numerical assembly language, was very fiddly.
          The plotter program contains 794 (!) commands. An HP-Calculator (eg. 9830) could execute
          a much more comfortable plotter program (HP-Basic) with only 36 commands two years later.</p>
      </div> Und nun die B.Ulmann-bersetzung: -->
      
	  <h3>WANG 700</h3>
      <div class="box center auto-bildbreite">
          <a href="/en/devices/wang700.shtm" title="Detailed Photo of WANG 700"><img src="/shared/photos/rechnertechnik/wang700-anlage.jpg" alt="WANG 700" width="600" height="438" /></a>
          <p class="bildtext">Unique system <b>WANG 700</b></p>
	  </div>
	  
      <p>The picture shows a unique system with a <b>WANG 700</b> at its heart. It is a one-of-a-kind machine and was built specifically for the department of mathematical didactics of a German university. Students of pure mathematics were forced to compete for the scarce CPU time on the university's mainframe while students of mathematical didactics had exclusive access to the system shown which eventually led to some arguments between both faculties.</p>
      <p>On the left the calculator itself can be seen &ndash; it features a two line display made from so called NIXIE-tubes, has 2 kB core memory and a built in cassette drive for mass storage. For years this machine was the fastest desktop calculator in the world.</p>
      <p>In the middle the optical reader can be seen (which, in fact, obscures the manual punch card reader which can not be seen in this picture). On the right is a modified IBM selectric typewriter which can not only be used to print out text, but to create plots of functions as well. Below the calculator an alphanumeric keyboard can be found; on the bottom an additional dual cassette tape drive is located. Programming of this machine was quite cumbersome - a simple plotterprogram took 794 program steps to perform a task which could be done on a later HP desktop calculator like the HP 9830 in only 36 steps using HP-BASIC as its programming language.</p>
      <a class="go" href="/en/devices/wang700.shtm">See a larger and more detailed version of the photography</a>

	  
	<h3>WANG 500</h3>
	<div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/wang500.jpg" alt="WANG 500 with card reader" width="650" height="388"/>
	    <p class="bildtext"><b>WANG 500</b> with card reader</p>
    </div>
	<p>
	    WANGs versioning scheme is a bit unusual: The computers were released in this order: 700, 500, 600, 400.
	    <br>The Wang 500 (year of manufacture 1971) is a pared-down version of the 700.
		The most important scientific functions were programmed directly in the
		threaded ROM, they did not have to be loaded via cassette any more. In the
		upper left they embedded a small drum printer (The Olivetti P 101 already
		featured such a printer in 1966). The cassette drive for recording programs
		is the same like in the 700. The "marker card" reader (instead of regular punch
		cards, the fields are only blackend) was perfect for schools and
		universities. Many users could mark cards manually with a simple pencil and afterwards
		test them on a single computer.
		<br>Wang promoted the computer as "The World's Second Most Powerful Calculator"
		(Wang 700 was the first one). This slogan could only refer to the computing speed,
		since the HP 9100 was much more universal. The 500 series is very rare, since
		it was superseded by the Wang 500 shortly after being released.
		The computer in the picture is new and unused. It has been found in the basement
		of an old stock from Wang and was passed to the museum, still unused. Therefore
		it looks great, even being more than 40 years old.
	</p>
	  
	<h3>Diehl Combitronic</h3>
	
    <div class="box center auto-bildbreite">
        <a href="/en/devices/diehl-combitronic.shtm" title="Diehl Combitronic details"><img
              src="/shared/photos/rechnertechnik/diehl-combitronic.jpg" alt="The Diehl Combitronic computer" width="526" height="420"/></a>
		<p class="bildtext"><b>Diehl Combitronic</b> with paper tape reader and puncher</p>
	</div>
	
	<p>
        In 1970-72, DIEHL selled the Combitronic, featured with germanium transistors from the early 1960s
        (used for the printer interface), (still) a paper tape used for booting, a slow delay line memory and ceramic
        ICs (modern LSI technology). This device is a prime example for the enormous speed of development of new
        technology. The transistor logic was implemented by simply taking four LSI ICs together. Therefore the
        computer is logically (almost) identical to the almost obsolte Combitron, but the case is much smaller and the whole
        computer shrank up to two small boards (see <a class="go" href="/en/devices/diehl-combitronic.shtm">detailed pictures from the
        Diehl Combitronic</a>). In the picture above you see the compatible paper tape puncher ELS 850 and the reader
        "Dilector" on the left.
    </p>
	
	<h3>Hewlett Packard HP 9810, 9820, 9830</h3>
    <p>While DIEHL still emphazised the mechanics, HP tried to hide it as much as possible. For scientifical calculations
       the Diehl computers from the series shown above were too slowly, compared to HP or WANG, whereas the Diehl devices
       were much cheaper than the others. On the other hand, for normal calculations in engineering offices the
       perfomance of the Diehl devices was quite sufficient.
    <br/>For large scientifical calculations or even more complex jobs you
       had to buy Wang or HP devices.</p>

      <div class="box left clear-after">
          <img src="/shared/photos/rechnertechnik/hp-rechner.jpg" alt="HP desk calculators (panorama)" width="335" height="1045" class="nomargin-bottom" />
          <div class="bildtext" style="margin-left: 335px; padding-left: 2em;">
            <p class="left">The history of development from the HP-desk calculators in one rack:</p>
            <ul>
              <li>In the center there is the HP 9100 (see
                  <a href="/en/computer/programmable.shtm#Hewlett_Packard_HP_9100">Programmable
                  second-generation calculators</a> for description)</li>
              <li>Above the successor model HP 9810 (same logic like the HP 9100
                  but uses TTL-ICs), uses the very first LED displays that are
                  still very small and have only three rows.</li>
              <li>At the bottom the next model, HP 9820 (year of manufacture 1971)
                  with alphanumerical 7x5 pixel LED display.
              </li>
              <li>At the top the best known computer from HP: HP 9830, year of manufacture 1972
                  with paper tape reader, puncher and plotter. This is the world's first desk
                  calculator that can be programmed with BASIC.</li>
            </ul>
          </div>
      </div>
