<?php
	$seiten_id = 'programmierbare';
	$version = '$Id: programmable.php 287 2012-08-16 09:02:07Z sven $';
	$title = 'Exemplary programmable second-generation calculators';
	
	require "../../lib/technikum29.php";
?>
    <h2>Exemplary programmable second-generation calculators</h2>

    <p>Second-generation calculators did not have integrated circuits yet. This made it difficult to build
    efficient calculators, so programmable calculators of that species are technically
    especially interesting. Already in 1966, DIEHL put such a calculator on the market. The operating
    system is "booted" from a metallic paper tape and application programmes are stamped on paper
    tapes that can be read in again. Probably the Stone Age of programmable calculators!
    Such complete installations are very rare.</p>

	<h3>Diehl Combitron</h3>
    <div class="box center">
        <img src="/shared/photos/rechnertechnik/combitron-s.jpg" alt="Diehl Combitron" width="690" height="232" />
	</div>
	
	<p>
        The Combitron is the first operating programmable desk calculator that was built and
		sold in Germany. On the right you can see the DIEHL
        Dilector (paper tape reader) and to the left is the DIEHL ELS 830 (paper tape puncher). The system is fully operational.
        The <a href="storage-media.shtm#delay-line-memory" class="go">delay line memory</a> serves as storage media
        (capacity ca. 1000 bits).</p>
    </p>
	
	<h3>Olivetti Programma 101</h3>

    <p>In the same year the Olivetti Programma 101 came onto the market. For the first time in
    EDP history, engineering offices were able to buy a "small" calculator on which you could
    quickly save own programs on magnetic cards. This machine with many mechanical parts, became
	a big seller.  However, the device was very expensive, but the price of 14800 DM + fees
	(ca. 8000 Euro) paid for itself in saved manual calculating time.</p>

    <div class="box left clear-after">
       <img src="/shared/photos/rechnertechnik/olivetti_programma101.jpg" alt="Programma 101" width="379" height="301" />
       <p class="bildtext">The legendary <b>PROGRAMMA 101</b> by Olivetti. In the middle you see the magnetic program card. <a class="go" href="storage-media.shtm#delay-line-memory">Delay line memory</a> was used as storage media.</p>
    </div>

	<h3>WANG 320</h3>
    <p>The WANG 320 is an outstanding machine in the collection. It was built in 1967 and is extremely rare nowadays. The system can be programmed using punched cards and features multiple keyboards, a sensational feature in its time.</p>

    <div class="box center auto-bildbreite">
        <a href="/en/devices/wang320.shtm" name="backlink-wang320"><img src="/shared/photos/rechnertechnik/wang320.jpg" alt="WANG 320 SE" width="690" height="287" /></a>
		<p class="bildtext"><b>WANG 320 SE</b></p>
	</div>

	<p>     In 1966/1967 the WANG 320 SE was a flagship calculator. Two of its features were truly sensational for its time: It could calculate logarithms and anti-logarithms quickly (in fact this took less time than the calcultion of a square root) and up to four keyboards could be connected to a single calculator unit; thus the machine was in fact a time sharing system. Further more the system could be programmed using punched cards &ndash; running programs were suspended for a short period of time to allow interactive users access to the machine. The 80 column punched cards could be prepared manually  using a stencil. These features made the calculator a perfect match for schools and universities. While the slide rule was in use in most of these places, this machine allowed them to enter the field of computer science. <br/>
            Clicking on the picture will show a <a class="go" href="/en/devices/wang320.shtm">larger and more detailed version</a>.
    </p>

	
	<h3>Hewlett Packard HP 9100</h3>
    <div class="box center auto-bildbreite">
       <img src="/shared/photos/rechnertechnik/hp-9100.jpg" alt="HP-9100" width="557" height="432" />
       <p class="bildtext"><b>HP 9100</b></p>
	</div>
	
	<p>In 1968 the first desktop calculator made by HP hit the market and was a truly outstanding machine. All of its internal logic is implemented using discrete transistor logic without a single integrated circuit. The machine supports a wealth of mathematical and scientific functions and employs a magnetic core memory, so even after a power off the contents of memory (data and programs) are preserved. Magnetic cards serve as external storage media. The printer shown on top of the HP 9100 is an optional device. The heart of the display is a CRT on which the contents of three internal registers are displayed. The character generation is controlled by a wired ROM. This technological marvel indeed had its price &ndash; with a price of 23 000&nbsp;DM for the basic version it was not affordable for individuals.
       <br/>Only two years later WANG brought the <a class="go" href="ic-technology.shtm#backlink-wang700">WANG 700</a> to the market in direct competition to the HP 9100.
    </p>

    <div class="box center auto-bildbreite">
       <img src="/shared/photos/rechnertechnik/hp9100-display.jpg" alt="display of the HP-9100" width="557" height="198" />
       <p class="center">Closeup of the HP 9100 tube display</p>
    </div>

    <p>Read further details at the <a class="go" href="/en/details1.shtm" title="Details 1">tabular overview of desk calculators</a></p>

    <!-- ehemaliger Text, jetzt oben mit Bildern eingebaut und mit ordentlicher B.Ulmann-bersetzung:
    <p>The P 101 could also be called the first personal computer of the world. Many similar
    calculators fascinate by their high weight and many mechanics. The scientifical calculator
    "WANG 320" from 1967 is also very interesting. It is an extremly rare device with
    punch card programming and multiple keyboards, sensational for these days. Already one year
    later, the rivial Hewlett-Packard followed with its scientifical super calculator 
    (HP 9100). An electron ray tube served as display, ferrite cores were used as storage.
    It commanded many mathematical functions, costed 23.000,- DM (ca. 12000,- Euro) and contained
    some forerunners of integrated circuits.
    <a class="go" href="/en/details1.shtm" title="Details 1">See also Details 1</a></p>
    -->
